Subject: Complaint for damaged items
From: Mohammad Musaed <[email-masked]>
To: Shakeeb Arsalan <[email-masked]>, Apoorv Joshi <[email-masked]>, Manish Kumar <[email-masked]>
Date: Wed, 22 Sep 2021 23:43:23 -0700 (MST)

Hi Team, 

The customer always receives the damaged item the details are mentioned below. 

This is further to my plenty of calls to your customer care number and requests for management intervention on serious quality issues from your operations, on a birthday dress ordered for my daughter. 

Following is the brief history: 

1. Order # 9688202006: Made on Aug 17 and received a damaged dress on Aug 18, submitted a return request and got the refund. 
2. Visited Splash stores in Al Wahda Mall to check for availability of the same dress/size, it was not available. They promised to check in other stores and got back finally saying it is not available in Abu Dhabi and advised me to order online, if available. 
3. Order # 9501468440: Made on Sep 13 and collected from your stores on Sep 17. On opening the same, we were surprised to see that the same dress which we returned for order no. 9688202006 is received again!! 
4. Made a new online order again (# 9502628804) for the same dress on Sep 18 morning. Then, made a complaint to your customer care and was informed that I need to speak to management staff on this serious quality lapse and business ethics for sending a returned damaged item for a new order. Your bad luck, in this case, it happened to be the same customer!! 
5. On Sep 18 evening, my order # 9502628804 was canceled automatically due to non-availability. 
6. On Sep 19, spoke to one of your senior staff Ms. Suha, explained the whole history and asked her to arrange for the following: 
a. New dress of the same size without any damage 
b. Suitable compensation for everything I had to go through and lack of quality management from your side. 
7. Today I was told that there is no solution to my above demand, other than providing a paltry AED 40 voucher, which I told here to keep it for improving the quality of Splash customer care. 

It is clear from the above narration that SPLASH do not have proper quality management, due to which a returned/damaged item is being sold to another order number. It is more surprizing that your staff do not have a amicable solution for it. Hence, I seek your management's attention in this regard. If I don't get any response by Sep 23, I am escalating this issue by submitting my complaint to DED - Consumer Complaints, Dubai govt. 

Thank you and I look forward to hear from you soon. 

Regards,